Subject: Re: [PATCH v2] powerpc/tm: Print 64-bits MSR

From: Segher Boessenkool <[email-masked]>
Date: Tue, 7 Aug 2018 10:50:54 -0500

On Tue, Aug 07, 2018 at 10:35:00AM -0300, Breno Leitao wrote:
> On a kernel TM Bad thing program exception, the Machine State Register
> (MSR) is not being properly displayed. The exception code dumps a 32-bits
> value but MSR is a 64 bits register for all platforms that have HTM
> enabled.
> 
> This patch dumps the MSR value as a 64-bits value instead of 32 bits. In
> order to do so, the 'reason' variable could not be used, since it trimmed
> MSR to 32-bits (int).

So maybe reason should be a long instead of an int?

Segher